> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvalueformattingeventargs.md).

# PropertyValueFormattingEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [ConvertEventArgs](/api/wisej.web/data-binding/wisej.web.converteventargs.md)
  * [PropertyValueFormattingEventArgs](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvalueformattingeventargs.md)

Provides data for the [PropertyValueFormattingEventHandler](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvalueformattingeventhandler.md) event of a [PropertyGrid](/api/wisej.web/lists-and-grids/propertygrid.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class PropertyValueFormattingEventArgs : ConvertEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class PropertyValueFormattingEventArgs
    Inherits ConvertEventArgs
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) CellStyle

[DataGridViewCellStyle](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md): Returns the current [DataGridViewCellStyle](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md) in use by the cell being formatted.

### ![](/files/hsR4ok3152WyAf8J2C1u) FormattingApplied

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the cell value has been successfully formatted.

### ![](/files/hsR4ok3152WyAf8J2C1u) GridItem

[GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md): Returns the [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) that is entering edit mode.

### ![](/files/hsR4ok3152WyAf8J2C1u) IsLabel

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns whether the event is related to the label cell.

### ![](/files/hsR4ok3152WyAf8J2C1u) Value

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets the value of the cell being formatted for displaying.

## Used By

| Name                                                                                                                                | Description                                                                                 |
| ----------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| [PropertyValueFormattingEventHandler](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvalueformattingeventhandler.md) | The event handler class that is invoked when a property in the grid formats the value cell. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvalueformattingeventargs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
